3 ms·
Article is wrong in several ways. Like correcting someone's grammar, one should get the facts straight first. So many here have also got it wrong, so it's not s
by jiveturkey 9y ago
Article is wrong in several ways. Like correcting someone's grammar, one should get the facts straight first. So many here have also got it wrong, so it's not super surprising but those posters here haven't gone and published a righteous article making wrong conclusions.
First, this is all on Netflix. Regardless of what any provider does, Netflix has to protect its own accounts and the obvious way to do that is to verify an email address before taking payment info. It could do that in a specific way (per-provider, understanding how gmail specifically treats addresses) but treating it in a generic way seem better and insulates them from changes to gmail or other providers.
Now, gmail certainly could do things that bring attention to the quirks of their own platform, but that doesn't take any of the onus off of Netflix or any other service to DTRT themselves.
The flaws in the article:
1. You cannot have an infinite number of addresses. per RFC 5321 par 4.5.3.1.1, only 64 chars are allowed in the mailbox name.
2. Further, unless the mailbox is quoted, eg "mailbox", then dots may not be at the beginning or the end, and consecutive dots are not allowed. (RFC 5322, par 3.4.1 and 3.2.3). The article doesn't mention the need for quoting in its description of "infinite" addressing. This is due to the use of dots to atomize the text around it, for domain name parsing. It happens to be used in the local-part for some reasons, I suppose because dot isn't otherwise allowed and they didn't want to create another named grammar item.
3. There is no requirement for plus or dot to be non-unique elements. RFC 5233 defines plus addressing, but this only applies to systems that care to treat the plus in this special way. There's no general requirement that foo+bar and foo+baz are both subaddresses of the foo mailbox; they could instead be 2 distinct addresses. The specific relevance is that Netflix should treat plus just like dot -- don't treat it specially.